Skip to content

List Files ​

Endpoint ​

http
GET /unified/knowledge-base/files
Integrations supported
  • Confluence

Query parameters ​

Refer Specifying query parameters in Truto APIs

integrated_account_id
string · uuid
REQUIRED · 

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_format
string

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

All possible enum values:
  • unified
  • raw
  • normalized
  • stream
Example: unified
truto_key_by
string

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limit
boolean

Ignores the limit query parameter.

truto_ignore_remote_data
boolean

Excludes the remote_data attribute from the response.

truto_exclude_fields
array

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_query
object

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar
page_id
string

The page id to which the file belongs.

Required in
  • Confluence

Response Body ​

result
object[]

List of Files

id
string

The unique identifier for the file

Supported in
  • Confluence
file_name
string

The file's name.

Supported in
  • Confluence
page_id
string

The page id to which the file belongs

References: Pages → id
Supported in
  • Confluence
size
number

The file size in bytes

Supported in
  • Confluence
file_url
string

The URL to download the file

Supported in
  • Confluence
content_type
string

The content type of the file

Supported in
  • Confluence
uploaded_by
string

The user who uploaded the file

References: Users → id
Supported in
  • Confluence
created_at
string · date-time

The time when the file was created

Supported in
  • Confluence
updated_at
string · date-time

The time when the file was updated

remote_data
object

Raw data returned from the remote API call.

next_cursor
string

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.